Module java.base
Package javax.crypto

# Class ShortBufferException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
javax.crypto.ShortBufferException

All Implemented Interfaces:
  `Serializable`

public class ShortBufferException extends GeneralSecurityException
This exception is thrown when an output buffer provided by the user is too short to hold the operation result.

Since:
  1.4
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ShortBufferException()`
Constructs a ShortBufferException with no detail message.
`ShortBufferException​(String msg)`
Constructs a ShortBufferException with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ShortBufferException

public ShortBufferException()
Constructs a ShortBufferException with no detail message. A detail message is a String that describes this particular exception.

### ShortBufferException

public ShortBufferException​(String msg)
Constructs a ShortBufferException with the specified detail message.

Parameters:
  `msg` - the detail message.